# This file is autogenerated. Instead of editing this file, please use the
# migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.

ActiveRecord::Schema.define(:version => 0) do

  create_table "candidates", :force => true do |t|
    t.column "election_id", :integer, :default => 0, :null => false
    t.column "name", :string, :limit => 100, :default => "", :null => false
    t.column "picture", :binary, :default => "", :null => false
  end

  create_table "elections", :force => true do |t|
    t.column "name", :string, :limit => 100, :default => "", :null => false
    t.column "description", :text, :default => "", :null => false
    t.column "anonymous", :integer, :limit => 4, :default => 0, :null => false
    t.column "startdate", :datetime, :null => false
    t.column "enddate", :datetime
  end

  create_table "rankings", :force => true do |t|
    t.column "vote_id", :integer
    t.column "candidate_id", :integer
    t.column "rank", :integer
  end

  create_table "tokens", :force => true do |t|
    t.column "token", :string, :limit => 100, :default => "", :null => false
    t.column "vote_id", :integer, :default => 0, :null => false
  end

  add_index "tokens", ["vote_id"], :name => "fk_vote_token"

  create_table "users", :force => true do |t|
    t.column "login", :string, :limit => 80, :default => "", :null => false
    t.column "salted_password", :string, :limit => 40, :default => "", :null => false
    t.column "email", :string, :limit => 60, :default => "", :null => false
    t.column "firstname", :string, :limit => 40
    t.column "lastname", :string, :limit => 40
    t.column "salt", :string, :limit => 40, :default => "", :null => false
    t.column "verified", :integer, :default => 0
    t.column "role", :string, :limit => 40
    t.column "security_token", :string, :limit => 40
    t.column "token_expiry", :datetime
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
    t.column "logged_in_at", :datetime
    t.column "deleted", :integer, :default => 0
    t.column "delete_after", :datetime
  end

  create_table "voters", :force => true do |t|
    t.column "email", :string, :limit => 100, :default => "", :null => false
    t.column "password", :string, :limit => 100, :default => "", :null => false
    t.column "contacted", :integer, :limit => 4, :default => 0, :null => false
    t.column "election_id", :integer, :default => 0, :null => false
  end

  add_index "voters", ["election_id"], :name => "fk_election_voter"

  create_table "votes", :force => true do |t|
    t.column "voter_id", :integer
    t.column "confirmed", :integer, :limit => 4, :default => 0, :null => false
  end

  add_index "votes", ["voter_id"], :name => "fk_vote_voter"

end
